PCI_HP_REGISTER(9)

NAME
pci_hp_register - register a hotplug_slot with the PCI hotplug subsystem

SYNOPSIS

int pci_hp_register (struct hotplug_slot * slot);

ARGUMENTS

slot
    pointer to the &struct hotplug_slot to register

DESCRIPTION

Registers a hotplug slot with the pci hotplug subsystem, which will allow userspace interaction to the slot.

Returns 0 if successful, anything else for an error.